Ler Pix copia e cola
Extrai os dados de um Pix copia e cola, como chave e valor, sem consultar o banco.
POST
https://api.hub.payzu.com.br/api/v1/transactions/pix/decodeResponses
curl -X POST "https://api.hub.payzu.com.br/api/v1/transactions/pix/decode" \ -H "Authorization: Bearer {{token}}" \ -H "Content-Type: application/json" \ -d '{ "brCode": "00020126400014br.gov.bcb.pix0118fulano@exemplo.com520400005303986540525.005802BR5913FULANO DE TAL6009SAO PAULO62140510PEDIDO482163048572" }'const body = JSON.stringify({ "brCode": "00020126400014br.gov.bcb.pix0118fulano@exemplo.com520400005303986540525.005802BR5913FULANO DE TAL6009SAO PAULO62140510PEDIDO482163048572"})fetch("https://api.hub.payzu.com.br/api/v1/transactions/pix/decode", { method: "POST", headers: { "Content-Type": "application/json", "Authorization": "Bearer {{token}}" }, body})import requestsurl = "https://api.hub.payzu.com.br/api/v1/transactions/pix/decode"body = """{ "brCode": "00020126400014br.gov.bcb.pix0118fulano@exemplo.com520400005303986540525.005802BR5913FULANO DE TAL6009SAO PAULO62140510PEDIDO482163048572"}"""response = requests.request("POST", url, data = body, headers = { "Content-Type": "application/json", "Authorization": "Bearer {{token}}"})print(response.text)